# Uses of Class
org.apache.lucene.codecs.uniformsplit.FieldMetadata

Packages that use FieldMetadata
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of FieldMetadata in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as FieldMetadata
  Modifier and Type
  Field
  Description
  `protected final FieldMetadata`
  BlockReader.`fieldMetadata`
  `protected FieldMetadata`
  BlockWriter.`fieldMetadata`
  `protected final FieldMetadata`
  UniformSplitTerms.`fieldMetadata`
  Methods in org.apache.lucene.codecs.uniformsplit that return FieldMetadata
  Modifier and Type
  Method
  Description
  `FieldMetadata`
  FieldMetadata.Serializer.`read(DataInput input, FieldInfos fieldInfos, int maxNumDocs)`
  Methods in org.apache.lucene.codecs.uniformsplit that return types with arguments of type FieldMetadata
  Modifier and Type
  Method
  Description
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readEncodedFieldsMetadata(int numFields, DataInput metadataInput, BlockDecoder blockDecoder, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readFieldsMetadata(IndexInput indexInput, BlockDecoder blockDecoder, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readUnencodedFieldsMetadata(int numFields, DataInput metadataInput, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type FieldMetadata
  Modifier and Type
  Method
  Description
  `protected IndexDictionary.BrowserSupplier`
  UniformSplitTermsReader.`createDictionaryBrowserSupplier(SegmentReadState state, IndexInput dictionaryInput, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, boolean dictionaryOnHeap)`
  `void`
  FieldMetadata.Serializer.`write(DataOutput output, FieldMetadata fieldMetadata)`
  `protected BlockTermState`
  UniformSplitTermsWriter.`writePostingLine(TermsEnum termsEnum, FieldMetadata fieldMetadata, NormsProducer normsProducer)`
  Writes the posting values for the current term in the given `TermsEnum` and updates the `FieldMetadata` stats.
  Method parameters in org.apache.lucene.codecs.uniformsplit with type arguments of type FieldMetadata
  Modifier and Type
  Method
  Description
  `protected void`
  UniformSplitTermsReader.`fillFieldMap(PostingsReaderBase postingsReader, SegmentReadState state, BlockDecoder blockDecoder, boolean dictionaryOnHeap, IndexInput dictionaryInput, IndexInput blockInput, Collection<FieldMetadata> fieldMetadataCollection, FieldInfos fieldInfos)`
  Constructors in org.apache.lucene.codecs.uniformsplit with parameters of type FieldMetadata
  Modifier
  Constructor
  Description
  `protected`
  `BlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder)`
  `protected`
  `IntersectBlockReader(CompiledAutomaton compiled, BytesRef startTerm, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder)`
  `protected`
  `UniformSplitTerms(IndexInput blockInput, FieldMetadata fieldMetadata, PostingsReaderBase postingsReader, BlockDecoder blockDecoder, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)`

- ## Uses of FieldMetadata in org.apache.lucene.codecs.uniformsplit.sharedterms

  Fields in org.apache.lucene.codecs.uniformsplit.sharedterms declared as FieldMetadata
  Modifier and Type
  Field
  Description
  `protected final FieldMetadata`
  STUniformSplitTerms.`unionFieldMetadata`
  Fields in org.apache.lucene.codecs.uniformsplit.sharedterms with type parameters of type FieldMetadata
  Modifier and Type
  Field
  Description
  `protected final Set<FieldMetadata>`
  STBlockWriter.`fieldsInBlock`
  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms that return FieldMetadata
  Modifier and Type
  Method
  Description
  `FieldMetadata`
  UnionFieldMetadataBuilder.`build()`
  `protected FieldMetadata`
  STUniformSplitTermsReader.`createUnionFieldMetadata(Iterable<FieldMetadata> fieldMetadataIterable)`
  Creates a virtual `FieldMetadata` that is the union of the given `FieldMetadata`s.
  `FieldMetadata`
  FieldMetadataTermState.`fieldMetadata()`
  Returns the value of the `fieldMetadata` record component.
  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type FieldMetadata
  Modifier and Type
  Method
  Description
  `UnionFieldMetadataBuilder`
  UnionFieldMetadataBuilder.`addFieldMetadata(FieldMetadata fieldMetadata)`
  Method parameters in org.apache.lucene.codecs.uniformsplit.sharedterms with type arguments of type FieldMetadata
  Modifier and Type
  Method
  Description
  `void`
  STBlockLine.`collectFields(Collection<FieldMetadata> collector)`
  Collects the `FieldMetadata` of all fields listed in this line.
  `protected FieldMetadata`
  STUniformSplitTermsReader.`createUnionFieldMetadata(Iterable<FieldMetadata> fieldMetadataIterable)`
  Creates a virtual `FieldMetadata` that is the union of the given `FieldMetadata`s.
  `protected void`
  STUniformSplitTermsReader.`fillFieldMap(PostingsReaderBase postingsReader, SegmentReadState state, BlockDecoder blockDecoder, boolean dictionaryOnHeap, IndexInput dictionaryInput, IndexInput blockInput, Collection<FieldMetadata> fieldMetadataCollection, FieldInfos fieldInfos)`
  Constructors in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type FieldMetadata
  Modifier
  Constructor
  Description
  ``
  `FieldMetadataTermState(FieldMetadata fieldMetadata, BlockTermState state)`
  Creates an instance of a `FieldMetadataTermState` record class.
  ``
  `STBlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  ``
  `STIntersectBlockReader(CompiledAutomaton compiled, BytesRef startTerm, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  ``
  `STMergingBlockReader(IndexDictionary.BrowserSupplier dictionaryBrowserSupplier, IndexInput blockInput, PostingsReaderBase postingsReader, FieldMetadata fieldMetadata, BlockDecoder blockDecoder, FieldInfos fieldInfos)`
  `protected`
  `STUniformSplitTerms(IndexInput blockInput, FieldMetadata fieldMetadata, FieldMetadata unionFieldMetadata, PostingsReaderBase postingsReader, BlockDecoder blockDecoder, FieldInfos fieldInfos, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)`